<?php

$pas = getuserdata('pas', 1);

$id_pachet = getuserdata('id_pachet', 0);
$id_specializare = getuserdata('id_specializare', 0);
$nume = getuserdata('nume', '');
$prenume = getuserdata('prenume', '');
$adresa = getuserdata('adresa', '');
$cod_postal = getuserdata('cod_postal', '');
$oras = getuserdata('oras', '');
$telefon = getuserdata('telefon', '');
$email = getuserdata('email');
$id_tipplata = getuserdata('id_tipplata');
$acord = getuserdata('acord', 0);

$submit = getuserdata('submit');
$eroare = '';

function procesare_modul()
{
}

function scripturi_modul()
{
}

function afisare_modul()
{
	global $pas, $id_modul, $suprima_meniu_stanga, $id_pachet, $id_specializare, $nume, $prenume, $adresa, $cod_postal, $oras, $telefon,
	       $email, $id_tipplata, $acord, $eroare;
	       
    echo "<h1>Comandă on-line</h1>";
    
    ?>
    
    <script type="text/javascript">
    
    function changeCantitate(id, pret_unitar)
    {
		var obiect_cant = document.getElementById("cant" + id);
		var obiect_total = document.getElementById("total" + id);
		var cantitate = 0;
		if (!isNaN(obiect_cant.value)) cantitate = obiect_cant.value; else cantitate = 0;
		var total = pret_unitar * cantitate;
		obiect_total.innerHTML = total;
	}
	
	function submitForm()
	{
		var f = document.getElementById("frmCumparaOnline");
		f.submit();
	}
    
	</script>
    
    <?
    
    $suprima_meniu_stanga = 1;
    
    if ($pas == 3)
    {
    	$eroare = '';
		if (!$nume) $eroare .= 'Nu ați introdus numele dumneavoastră<br>'; 
		if (!$prenume) $eroare .= 'Nu ați introdus prenumele dumneavoastră<br>'; 
		if (!$telefon) $eroare .= 'Nu ați introdus numărul dumneavoastră de telefon<br>';
		if (!$acord) $eroare .= 'Nu puteți continua dacă nu sunteți de acord cu termenii de utilizare!<br>';

	    $total = 0;
	    $total_cant = 0;
	    foreach ($_REQUEST as $camp => $valoare)
	    {
	    	if ( (substr($camp, 0, 4) == 'cant') && ($valoare > 0) )
	    	{
				$q = mysql_query("SELECT * FROM pachete WHERE id = ".substr($camp, 4));
				if ($r = mysql_fetch_assoc($q))
				{
					$pret = getuserdata('pret'.substr($camp, 4), 0);
					$id_pachet = substr($camp, 4);
					$total += $pret * $valoare;
					$total_cant += $valoare;
				} 
			}
		}
		
		if (!$total_cant) $eroare .= 'Trebuie să comandați cel puțin un produs!<br>';

		if ($eroare) { $pas = 2; $eroare .= '<br>'; } 
	}
    
    switch($pas)
    {
		case 1:
		    echo "<table><tr><th>Alege oferta</th>";
		    $qp = mysql_query('SELECT * FROM pachete');
		    while ($rp = mysql_fetch_assoc($qp))
		    {
				echo "<th>{$rp['pachet']}</th>";
				$pachete[] = $rp['id'];
			}
			echo '</tr>';
			$qc = mysql_query('SELECT * FROM produse');
			while ($rc = mysql_fetch_assoc($qc))
			{
				echo "<tr><td>{$rc['produs']}</td>";
				foreach ($pachete as $id_pachet)
				{
					$q = mysql_query("SELECT * FROM pachete_detalii WHERE id_pachet = $id_pachet AND id_produs = {$rc['id']}");
					if ($r = mysql_fetch_assoc($q))
					{
						echo "<td>".(($r['pret'] == 0)?'GRATUIT':$r['pret'].' RON')."</td>";
					}
					else echo "<td>&nbsp;</td>"; // neinclus in pachet
				}
				echo '</tr>';
			}
			echo '<tr><td>&nbsp;</td>';
			foreach($pachete as $id_pachet)
			{
				echo "<td><span class='meniu_stanga' style='width: auto'>";
				echo "<a href='{$_SERVER['PHP_SELF']}?id_modul=$id_modul&pas=2&id_pachet=$id_pachet'>";
				echo "<div class='stanga'></div>";
	            echo "<div class='centru_auto'>Cumpără</div>";
	            echo "<div class='dreapta'></div>";
				echo "</a></span></td>";
			}
			echo "</tr>";
			echo "</table>";
			echo "<p>Nu ești decis? Apelează Serviciul Consultații IT la telefon <b>0374.211.000</b> sau accesează pagina ".
			     "<b><a href='http://www.setrio.ro/templates/consultanti.html' target='_blank'>Consultații IT</a></b>";
		    break;
		    
		case 2:
		    if ($eroare) echo "<center style='color: red'>$eroare</center>";
			echo "<form action='index.php' method='POST' id='frmCumparaOnline'>";
			echo "<input type='hidden' name='id_modul' value='$id_modul'>";
			echo "<input type='hidden' name='pas' value='3'>";
			echo "<table><tr><th style='width: 100px; text-align: left'>Cantitate</th><th style='width: 250px; text-align: left'>Produs</th>".
                 "<th style='width: 130px; text-align: left'>Preț unitar</th><th style='width: 100px; text-align: left'>Total</th></tr>";
			$qp = mysql_query('SELECT p.id, p.pachet, p.conditii, SUM(CASE WHEN pd.initial = 1 THEN IFNULL(pd.pret, 0) ELSE 0 END) as pret '.
                              'FROM pachete p '.
			                  'JOIN pachete_detalii pd ON pd.id_pachet = p.id GROUP BY p.id, p.pachet, p.conditii');
			$i = 1;
			while ($rp = mysql_fetch_assoc($qp))
			{
				if ($id_pachet == $rp['id']) $cantitate = 1.0; else $cantitate = 0.0;
				echo "<tr><td style='padding-top: 1em'>";
                echo "<input type='text' name='cant{$rp['id']}' id='cant{$rp['id']}' value='$cantitate' style='width: 30px' ".
				     "onChange='changeCantitate(\"{$rp['id']}\", {$rp['pret']})'><input type='hidden' name='pret{$rp['id']}' value='{$rp['pret']}'></td>";
				echo "<td style='padding-top: 1em'>";
                echo "<b>{$rp['pachet']}</b></td><td style='padding-top: 1em'><b>{$rp['pret']} lei</b></td>";
                echo "<td style='padding-top: 1em'><span id='total{$rp['id']}' style='font-weight: bold'>";
				echo $rp['pret'] * $cantitate;
				echo "</span><b> lei</b></td></tr>";
				$qd = mysql_query("SELECT p.*, pd.pret, pd.initial FROM pachete_detalii pd JOIN produse p ON p.id = pd.id_produs WHERE id_pachet = {$rp['id']}");
				while ($rd = mysql_fetch_assoc($qd))
				{
					echo "<tr><td style='height: 1.6em'>&nbsp;</td><td>{$rd['produs']}</td><td>";
					if (!$rd['initial']) echo "<i>";
					echo (($rd['pret']==0)?'GRATUIT':($rd['pret'].' lei'));
					if (!$rd['initial']) echo "**<i>";
                    echo "</td><td>&nbsp;</td></tr>";
				}
				if ($rp['conditii'])
				    echo "<tr><td>&nbsp;</td><td><i>* {$rp['conditii']}</i></td><td>&nbsp;</td><td>&nbsp;</td></tr>";
			}
			echo "</table><p><i>&nbsp;&nbsp;&nbsp;* Prețurile conțin TVA</i><br>";
			echo "<i>** Plata nu se face la achiziționare, ci după perioada stabilită în contract</i></p>";
			echo "<table>";
			echo "<tr><td>Specializarea:</td><td><select name='id_specializare'>";
			$qs = mysql_query("SELECT * FROM specializari");
			while ($rs = mysql_fetch_assoc($qs))
			{
				echo "<option value='{$rs['id']}'";
				if ($rs['id'] == $id_specializare) echo ' selected';
				echo ">{$rs['specializare']}</option>";
			}
			echo "</td></tr>";
			echo "<tr><td>Nume:</td><td><input type='text' name='nume' value='$nume'></td></tr>";
			echo "<tr><td>Prenume:</td><td><input type='text' name='prenume' value='$prenume'></td></tr>";
			echo "<tr><td>Adresa:</td><td><input type='text' name='adresa' value='$adresa'></td></tr>";
			echo "<tr><td>Cod poștal:</td><td><input type='text' name='cod_postal' value='$cod_postal'></td></tr>";
			echo "<tr><td>Oraș:</td><td><input type='text' name='oras' value='$oras'></td></tr>";
			echo "<tr><td>Telefon:</td><td><input type='text' name='telefon' value='$telefon'></td></tr>";
			echo "<tr><td>E-mail:</td><td><input type='text' name='email' value='$email'></td></tr>";
			echo "<tr><td style='vertical-align: baseline'>Metoda de plată:</td><td>";
			$qtp = mysql_query('SELECT * FROM tipuri_plata');
			while ($rtp = mysql_fetch_assoc($qtp))
			{
				if ($id_tipplata == 0) $id_tipplata = $rtp['id'];
				echo "<label for='id_tipplata{$rtp['id']}'>";
				echo "<input type='radio' name='id_tipplata' id='id_tipplata{$rtp['id']}' value='{$rtp['id']}' style='width: auto; border: none'";
				if ($id_tipplata == $rtp['id']) echo " checked";
				echo ">{$rtp['tip_plata']}</label><div style='height: 10px'>&nbsp;</div>";
				$qtpd = mysql_query("SELECT * FROM tipuri_plata_detalii WHERE id_tip_plata = {$rtp['id']}");
				while ($rtpd = mysql_fetch_assoc($qtpd))
				{
					echo "<div style='clear: both; margin-left: 30px'>";
					echo "{$rtpd['caracteristica']}: <input type='text' name='val_tipplata_{$rtp['id']}_{$rtpd['id']}' style='width: 200px'>";
				}
				echo "<div style='height: 10px'>&nbsp;</div>";
			}
			echo "</td></tr>";
			echo "<tr><td>Confirmare</td><td><label for='acord'><input type='checkbox' name='acord' id='acord' style='width: auto; border: none;'";
			if ($acord) echo ' checked';
			echo "> Sunt de acord cu termenii si conditiile acestui site</label></td></tr>";
			echo "</table>";
			echo "<span class='meniu_stanga' style='width: auto'>";
			echo "<a href='#' onClick='submitForm()'>";
			echo "<div class='stanga'></div>";
	        echo "<div class='centru_auto'>Continuare</div>";
	        echo "<div class='dreapta'></div>";
			echo "</a></span>";
			echo "</form>";
			break;
		case 3:
			echo "<form action='index.php' method='POST' id='frmCumparaOnline'>";
			echo "<input type='hidden' name='id_modul' value='$id_modul'>";
			echo "<input type='hidden' name='pas' value='4'>";
			echo "<input type='hidden' name='id_specializare' value='$id_specializare'>";
			echo "<input type='hidden' name='nume' value='$nume'>";
			echo "<input type='hidden' name='prenume' value='$prenume'>";
			echo "<input type='hidden' name='adresa' value='$adresa'>";
			echo "<input type='hidden' name='cod_postal' value='$cod_postal'>";
			echo "<input type='hidden' name='oras' value='$oras'>";
			echo "<input type='hidden' name='telefon' value='$telefon'>";
			echo "<input type='hidden' name='email' value='$email'>";
			echo "<input type='hidden' name='id_tipplata' value='$id_tipplata'>";
		    echo "<table><tr><th colspan='2'>$nume $prenume</th></tr>";
		    echo "<tr><td>Adresa:</td><td>$adresa</td></tr>";
		    echo "<tr><td>Cod poștal:</td><td>$cod_postal</td></tr>";
		    echo "<tr><td>Oraș:</td><td>$oras</td></tr>";
		    echo "<tr><td>Telefon:</td><td>$telefon</td></tr>";
		    echo "<tr><td>E-mail:</td><td>$email</td></tr>";
		    echo "</table>";
		    foreach ($_REQUEST as $camp => $valoare)
		    {
		    	if (substr($camp, 0, 13) == "val_tipplata_{$id_tipplata}_")
		    	{
					echo "<input type='hidden' name='$camp' value='$valoare'>";
				}
			}
		    echo "<h4>Produse comandate:</h4>";
		    echo "<table><tr><th>Cantitate</th><th>Denumire</th><th>Preț unitar</th><th>Total</th></tr>";
		    $total = 0;
		    foreach ($_REQUEST as $camp => $valoare)
		    {
		    	if ( (substr($camp, 0, 4) == 'cant') && ($valoare > 0) )
		    	{
					$q = mysql_query("SELECT * FROM pachete WHERE id = ".substr($camp, 4));
					if ($r = mysql_fetch_assoc($q))
					{
						$pret = getuserdata('pret'.substr($camp, 4), 0);
						$id_pachet = substr($camp, 4);
						echo "<tr><td>$valoare</td><td>{$r['pachet']}</td><td>$pret lei</td><td>".($pret * $valoare)." lei";
						echo "<input type='hidden' name='cant{$id_pachet}' value='$valoare'>";
						echo "<input type='hidden' name='pret{$id_pachet}' value='$pret'>";
						echo "</td></tr>";
						$total += $pret * $valoare;
					} 
				}
			}
			echo "</table><p><b>TOTAL: $total lei (TVA inclus)</b></p>";
			echo "<span class='meniu_stanga' style='width: auto'>";
			echo "<a href='#' onClick='submitForm()'>";
			echo "<div class='stanga'></div>";
	        echo "<div class='centru_auto'>Comandă acum</div>";
	        echo "<div class='dreapta'></div>";
			echo "</a> <span style='font-size: 80%;'>(comanda dumneavoastră este securizată)</span></span>";
			echo "</form>";
		    break;
		case 4:
		    $total = 0;
		    foreach ($_REQUEST as $camp => $valoare)
		    {
		    	if ( (substr($camp, 0, 4) == 'cant') && ($valoare > 0) )
		    	{
					$q = mysql_query("SELECT * FROM pachete WHERE id = ".substr($camp, 4));
					if ($r = mysql_fetch_assoc($q))
					{
						$pret = getuserdata('pret'.substr($camp, 4), 0);
						$id_pachet = substr($camp, 4);
						mysql_query("INSERT INTO comenzi (id_pachet, cantitate, data, id_specializare, nume, prenume, adresa, cod_postal, ".
						            "oras, telefon, email, id_tipplata, procesata)".
									"VALUES ($id_pachet, $valoare, '".date('Y-m-d')."', $id_specializare, '$nume', '$prenume', '$adresa', '$cod_postal', ".
									"'$oras', '$telefon', '$email', $id_tipplata, 0)");
						if (!mysql_error())
						{
						    $nr_comanda = mysql_insert_id();
							echo "<p>Vă mulțumim pentru comanda dumneavoastră!</p>";
							echo "<p>Sunteți înregistrat cu comanda numărul $nr_comanda. În cel mai scurt timp veți primi pe e-mail ".
							     "o confirmare a comenzii dumneavoastră, iar un reprezentant al companiei noastre vă va contacta pentru detalii.</p>";
		                    $q = mysql_query("SELECT * FROM optiuni");
                            if ($r = mysql_fetch_assoc($q))
                                if ($r['email_comenzi'])
                                {
                                    $qm = mysql_query("SELECT * FROM pachete WHERE id = $id_pachet");
                                    $rm = mysql_fetch_assoc($qm);
                                    mail($r['email_comenzi'], "Comanda online nr. $nr_comanda - [{$rm['pachet']}] $nume $prenume",
                                    "$nume $prenume din localitatea $oras, $adresa, cod postal $cod_postal, telefon $telefon, e-mail $email ".
                                    "a facut o comanda online pentru $valoare buc. din pachetul {$rm['pachet']}.", "From: webmaster@setrio.ro");
                                }						
                        }
						else
						{
							echo "<p>A apărut o eroare la procesarea comenzii dumneavoastră. Vă rugăm să încercați din nou sau să ne contactați ".
							     "telefonic la <b>0374.211.000</b>. Ne cerem scuze pentru neplăcerile cauzate.</p>";
						}
					} 
				}
			}
	}
}

?>